Package org.apache.sysds.runtime.io.hdf5

# Class H5

java.lang.Object
org.apache.sysds.runtime.io.hdf5.H5

public class H5 extends Object

## Constructor Summary

Constructors
Constructor
Description
`H5()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`H5Dcreate(H5RootObject rootObject, long maxRow, long maxCol, String datasetName)`
`static H5ContiguousDataset`
`H5Dopen(H5RootObject rootObject, String datasetName)`
`static void`
`H5Dread(H5ContiguousDataset dataset, int row, double[] data)`
`static void`
`H5Dread(H5RootObject rootObject, H5ContiguousDataset dataset, double[][] data)`
`static void`
`H5Dwrite(H5RootObject rootObject, double[] data)`
`static void`
`H5Dwrite(H5RootObject rootObject, double[][] data)`
`static H5RootObject`
`H5Fopen(H5ByteReader reader)`
`static H5RootObject`
`H5Screate(BufferedOutputStream bos, long row, long col)`
`static void`
`H5WriteHeaders(H5RootObject rootObject)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### H5

public H5()

## Method Details

### H5Fopen

public static H5RootObject H5Fopen(H5ByteReader reader)

### H5Screate

public static H5RootObject H5Screate(BufferedOutputStream bos, long row, long col)

### H5Dopen

public static H5ContiguousDataset H5Dopen(H5RootObject rootObject, String datasetName)

### H5Dcreate

public static void H5Dcreate(H5RootObject rootObject, long maxRow, long maxCol, String datasetName)

### H5WriteHeaders

public static void H5WriteHeaders(H5RootObject rootObject)

### H5Dwrite

public static void H5Dwrite(H5RootObject rootObject, double[] data)

### H5Dwrite

public static void H5Dwrite(H5RootObject rootObject, double[][] data)

### H5Dread

public static void H5Dread(H5RootObject rootObject, H5ContiguousDataset dataset, double[][] data)

### H5Dread

public static void H5Dread(H5ContiguousDataset dataset, int row, double[] data)